Get tweet details
curl --request GET \
--url https://api.memoryproto.co/twitter/tweet \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.memoryproto.co/twitter/tweet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.memoryproto.co/twitter/tweet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"profile": {
"id": "1732464385174761474",
"username": "memoryprotocol",
"displayName": "Memory",
"followersCount": 1659,
"followingCount": 414,
"postsCount": 642,
"creationDate": "Wed Dec 06 18:18:03 +0000 2023",
"avatarUrl": "https://pbs.twimg.com/profile_images/1912179219758485514/WIKNnlqA_400x400.jpg",
"externalUrl": "http://memoryproto.co",
"location": "",
"bio": "Where your digital identity can move across the internet ☁︎",
"farcaster": {
"id": "244819",
"username": "memoryprotocol.eth",
"displayName": "Memory",
"followersCount": 929,
"followingCount": 73,
"avatarUrl": "https://imagedelivery.net/BXluQx4ige9GuW0Ia56BHw/931fd467-68f8-4146-9487-a9017c0f6700/rectcrop3",
"location": "",
"bio": "The internet forgets you. Memory doesn’t."
}
},
"tweet": {
"id": "1936089769433588031",
"url": "https://x.com/RAC/status/1936089769433588031",
"likesCount": 22,
"retweetCount": 4,
"quoteCount": 0,
"replyCount": 1,
"bookmarkCount": 0,
"createdAt": "Fri Jun 20 15:52:26 +0000 2025",
"isQuoteTweet": true,
"text": "we built this because it solves a very practical need. \n\nit's something I've experienced and I know a lot of other people have as well. \n\ndifferent models have different uses and you shouldn't be locked down to one.",
"media": [],
"quotedTweet": {
"profile": {
"avatarUrl": "https://pbs.twimg.com/profile_images/1912179219758485514/WIKNnlqA_400x400.jpg",
"bio": "Turning your data into a revenue stream || Open your Memory Vault to start earning.",
"creationDate": "Wed Dec 06 18:18:03 +0000 2023",
"displayName": "Memory",
"externalUrl": "http://memoryproto.co",
"farcaster": null,
"followersCount": 2748,
"followingCount": 167,
"id": "1732464385174761474",
"location": "",
"postsCount": 757,
"username": "MemoryProtocol"
},
"tweet": {
"id": "1936081984427901339",
"url": "https://x.com/MemoryProtocol/status/1936081984427901339",
"likesCount": 17,
"retweetCount": 3,
"quoteCount": 2,
"replyCount": 2,
"bookmarkCount": 6,
"createdAt": "Fri Jun 20 15:21:30 +0000 2025",
"isQuoteTweet": false,
"text": "NEW TODAY: Add your ChatGPT history to Memory -> take it to Claude.\n\nLLMs get more powerful when your personal context can flow between them.\n\nMemory is the user-owned data vault that makes it possible.\n\nHere's how it works\n\n↓ https://t.co/KPiGhw0fmG",
"media": [
{
"type": "photo",
"url": "https://pbs.twimg.com/media/Gt5YTULbwAcUQmj.jpg"
}
],
"quotedTweet": null
}
}
}
}
}"You have run out of credits. Please purchase more to continue.""Tweet {id} not found.""Error getting tweet {id}."Social Graph Endpoints
Get tweet details
Retrieve the details of a tweet from its id.
GET
/
twitter
/
tweet
Get tweet details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Use an authorization token prefixed with Bearer. You can get your API key at https://memoryproto.co/dashboard.
Example:
"Bearer mem_xxx"
Query Parameters
Tweet id. For example, 1925251453805027380 or 1914711182738428252.
Minimum string length:
1Examples:
"1925251453805027380"
"1914711182738428252"
Response
Successful response containing the tweet details.
Show child attributes
Show child attributes
⌘I